aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-09-05 12:37:43 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-09-05 13:05:36 +0200
commita06bd137ccd148f57e09f5ec9afcff356bac3b7c (patch)
treeb8d4bd57eb51bacee8395eef558be3782f79a183
parent41e3fcac3cc4577b885f3629ecf0c0f99bb7ac7a (diff)
downloadaports-a06bd137ccd148f57e09f5ec9afcff356bac3b7c.tar.gz
aports-a06bd137ccd148f57e09f5ec9afcff356bac3b7c.tar.bz2
aports-a06bd137ccd148f57e09f5ec9afcff356bac3b7c.tar.xz
main/nginx-initscripts: move initscripts to shared package
Share the openrc initscript for the different nginx builds.
-rw-r--r--main/nginx-initscripts/APKBUILD44
-rw-r--r--main/nginx-initscripts/nginx-initscripts.pre-install (renamed from main/nginx/nginx.pre-install)0
l---------main/nginx-initscripts/nginx-initscripts.pre-upgrade1
-rw-r--r--main/nginx-initscripts/nginx.initd (renamed from main/nginx/nginx.initd)0
-rw-r--r--main/nginx-initscripts/nginx.logrotate12
-rw-r--r--main/nginx/APKBUILD25
l---------main/nginx/nginx.pre-upgrade1
7 files changed, 64 insertions, 19 deletions
diff --git a/main/nginx-initscripts/APKBUILD b/main/nginx-initscripts/APKBUILD
new file mode 100644
index 0000000000..3d263bc1b2
--- /dev/null
+++ b/main/nginx-initscripts/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+
+pkgname=nginx-initscripts
+pkgver=1.8.0
+pkgrel=0
+pkgdesc="initscripts and logrotate config for nginx"
+url="http://www.nginx.org"
+arch="noarch"
+license="nginx"
+pkgusers="nginx"
+pkggroups="nginx"
+install="$pkgname.pre-install $pkgname.pre-upgrade"
+replaces="nginx nginx-lua"
+makedepends=""
+subpackages=""
+source="nginx.initd
+ nginx.logrotate
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ return 0
+}
+
+build() {
+ return 0
+}
+
+package() {
+ install -m755 -D "$srcdir"/nginx.initd \
+ "$pkgdir"/etc/init.d/nginx \
+ || return 1
+ install -m644 -D "$srcdir"/nginx.logrotate \
+ "$pkgdir"/etc/logrotate.d/nginx \
+ || return 1
+}
+
+md5sums="e6c76d4ffbb8549600e03e9e0f4d2dbe nginx.initd
+d3f30c25c84c55252a6babd9e9b0325b nginx.logrotate"
+sha256sums="6dcb7739f97ae86d4a09e12126546bcab0f87da093d78167dcf9f220194ed68b nginx.initd
+6b89872994508cc7b4b225bca3301d7942767f37b8b691134141d95995740890 nginx.logrotate"
+sha512sums="9d645248130ec35183f05efdd5a6b2a911f706348c5efc3bcc29ee88cc02ee68117ca3c7f532115c04db344818fa4a9fd7e31995efbf52e2d963bec568d0c69f nginx.initd
+fda91710185d6b801dd746c8c3678b5719b408de0b715bef7b1985f1ee17db1e8378d440759ea6234b1f70454a35870a2917bd1d6cd309ddc70e1c066fc8d4b8 nginx.logrotate"
diff --git a/main/nginx/nginx.pre-install b/main/nginx-initscripts/nginx-initscripts.pre-install
index 55b5bfcda5..55b5bfcda5 100644
--- a/main/nginx/nginx.pre-install
+++ b/main/nginx-initscripts/nginx-initscripts.pre-install
diff --git a/main/nginx-initscripts/nginx-initscripts.pre-upgrade b/main/nginx-initscripts/nginx-initscripts.pre-upgrade
new file mode 120000
index 0000000000..fabdc1c0f3
--- /dev/null
+++ b/main/nginx-initscripts/nginx-initscripts.pre-upgrade
@@ -0,0 +1 @@
+nginx-initscripts.pre-install \ No newline at end of file
diff --git a/main/nginx/nginx.initd b/main/nginx-initscripts/nginx.initd
index b1e0fe7856..b1e0fe7856 100644
--- a/main/nginx/nginx.initd
+++ b/main/nginx-initscripts/nginx.initd
diff --git a/main/nginx-initscripts/nginx.logrotate b/main/nginx-initscripts/nginx.logrotate
new file mode 100644
index 0000000000..00e5a94eb5
--- /dev/null
+++ b/main/nginx-initscripts/nginx.logrotate
@@ -0,0 +1,12 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/files/nginx.logrotate,v 1.1 2010/01/03 20:29:40 djc Exp $
+
+/var/log/nginx/*.log {
+ missingok
+ sharedscripts
+ postrotate
+ test -r /var/run/nginx.pid && kill -USR1 `cat /var/run/nginx.pid`
+ endscript
+}
+
diff --git a/main/nginx/APKBUILD b/main/nginx/APKBUILD
index 7380ecae2e..bbb305f02b 100644
--- a/main/nginx/APKBUILD
+++ b/main/nginx/APKBUILD
@@ -5,22 +5,21 @@
pkgname=nginx
pkgver=1.8.0
_nginxrtmpver=1.1.7
-pkgrel=2
+pkgrel=3
pkgdesc="lightweight HTTP and reverse proxy server"
url="http://www.nginx.org"
arch="all"
license="custom"
pkgusers="nginx"
pkggroups="nginx"
-install="$pkgname.pre-install $pkgname.pre-upgrade"
+install=""
+# the nginx-initscritps provides openrc script, logrotate and user creation
+depends="nginx-initscripts"
makedepends="pcre-dev openssl-dev zlib-dev linux-headers"
subpackages="$pkgname-doc $pkgname-vim:vim"
source="http://nginx.org/download/$pkgname-$pkgver.tar.gz
nginx-rtmp-module-$_nginxrtmpver.tar.gz::https://github.com/arut/nginx-rtmp-module/archive/v$_nginxrtmpver.tar.gz
ipv6.patch
-
- nginx.initd
- nginx.logrotate
"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -78,10 +77,6 @@ package() {
cd "$_builddir"
make DESTDIR="$pkgdir" INSTALLDIRS=vendor install || return 1
- install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
- install -m644 -D "$srcdir"/$pkgname.logrotate \
- "$pkgdir"/etc/logrotate.d/$pkgname
-
install -m644 -D LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
install -m644 -D man/$pkgname.8 "$pkgdir"/usr/share/man/man8/$pkgname.8
@@ -108,16 +103,10 @@ vim() {
md5sums="3ca4a37931e9fa301964b8ce889da8cb nginx-1.8.0.tar.gz
8006de2560db3e55bb15d110220076ac nginx-rtmp-module-1.1.7.tar.gz
-801a87f7f9d27f8ad85b41a78b4c4461 ipv6.patch
-e6c76d4ffbb8549600e03e9e0f4d2dbe nginx.initd
-d3f30c25c84c55252a6babd9e9b0325b nginx.logrotate"
+801a87f7f9d27f8ad85b41a78b4c4461 ipv6.patch"
sha256sums="23cca1239990c818d8f6da118320c4979aadf5386deda691b1b7c2c96b9df3d5 nginx-1.8.0.tar.gz
7922b0e3d5f3d9c4b275e4908cfb8f5fb1bfb3ac2df77f4c262cda56df21aab3 nginx-rtmp-module-1.1.7.tar.gz
-a24ef5843ae0afa538b00c37eb7da7870f9d7f146f52a9668678f7296cf71d9b ipv6.patch
-6dcb7739f97ae86d4a09e12126546bcab0f87da093d78167dcf9f220194ed68b nginx.initd
-6b89872994508cc7b4b225bca3301d7942767f37b8b691134141d95995740890 nginx.logrotate"
+a24ef5843ae0afa538b00c37eb7da7870f9d7f146f52a9668678f7296cf71d9b ipv6.patch"
sha512sums="3e5d7e1b01839b2638251c47046149450b9b65985e611ef55e5953846e9eb0128c3708c695540ad4dfd0ce5e3060dfecb51213403048fab1a99dd5cea94f0038 nginx-1.8.0.tar.gz
9883462a04683f1e7af175da04b86d259ff6d677864667588fb073143f7130969eb2a5a5a48ddceda7a555b908580f179bdcacb7f0111413d51db5bfe43b396e nginx-rtmp-module-1.1.7.tar.gz
-68d64a84568ec2df0366925ab282a05ebe21a85044b6c7844a47573cfd8cc8ed119cc772358bc3fff36e2d4fdf583a730592825f5f98632993ca86d1f8438d5f ipv6.patch
-9d645248130ec35183f05efdd5a6b2a911f706348c5efc3bcc29ee88cc02ee68117ca3c7f532115c04db344818fa4a9fd7e31995efbf52e2d963bec568d0c69f nginx.initd
-fda91710185d6b801dd746c8c3678b5719b408de0b715bef7b1985f1ee17db1e8378d440759ea6234b1f70454a35870a2917bd1d6cd309ddc70e1c066fc8d4b8 nginx.logrotate"
+68d64a84568ec2df0366925ab282a05ebe21a85044b6c7844a47573cfd8cc8ed119cc772358bc3fff36e2d4fdf583a730592825f5f98632993ca86d1f8438d5f ipv6.patch"
diff --git a/main/nginx/nginx.pre-upgrade b/main/nginx/nginx.pre-upgrade
deleted file mode 120000
index 7af104a12c..0000000000
--- a/main/nginx/nginx.pre-upgrade
+++ /dev/null
@@ -1 +0,0 @@
-nginx.pre-install \ No newline at end of file